#########################################
# File : Design Import Logic 
# Date : 22nd May 2022 
# Author : Srimanth Tenneti 
# Description : MMMC + Design Import 
######################################### 

### Settting PG Nets 
set_db init_power_nets {VDD VDDIO} 
set_db init_ground_nets {VSS VSSIO} 

### Processing MMMC 
read_mmmc nanosoc.mmmc 
set TECH_LEF $::env(PHYS_IP)/arm/tsmc/cln65lp/arm_tech/r2p0/lef/1p9m_6x2z/sc9_tech.lef
set BASE_LEF $::env(PHYS_IP)/arm/tsmc/cln65lp/sc9_base_rvt/r0p0/lef/sc9_cln65lp_base_rvt.lef
set RF_LEF $::env(SOCLABS_PROJECT_DIR)/memories/rf/rf_sp_hdf.lef
set ROM_LEF $::env(SOCLABS_PROJECT_DIR)/memories/bootrom/rom_via.lef

### Reading LEFs 
read_physical -lef [list ${TECH_LEF} ${BASE_LEF} ${RF_LEF} ${ROM_LEF}]

### Reading Netlist 
read_netlist ./nanosoc_chip_pads.vm

### Initializing the Design 
init_design

### Adjusting the GUI 
gui_fit 

create_floorplan -site sc9_cln65lp -core_size 900 900 50 50 50 50 

