######################################
# Script : Place and Route Flow 
# Date : 25th May 2023 
# Author : Srimanth Tenneti 
# Description : Innovus PnR Flow 
###################################### 

puts "Starting PnR Flow ..."


### Design Import 
source design_import.tcl  

### IO Planning 
source io_plan.tcl

### Power Plan 
source power_plan.tcl 

### Power Route 
source power_route.tcl 

### Placement 
source place.tcl 

### CTS 
source clock_tree_synthesis.tcl 

### Routing 
source route.tcl 

report_timing > $::env(SOCLABS_PROJECT_DIR)/imp/ASIC/nanosoc/reports/nanosoc_imp_timing.rep
report_area > $::env(SOCLABS_PROJECT_DIR)/imp/ASIC/nanosoc/reports/nanosoc_imp_area.rep
report_power > $::env(SOCLABS_PROJECT_DIR)/imp/ASIC/nanosoc/reports/nanosoc_imp_power.rep

gui_show 




